diff --git a/samples/bluetooth/peripheral_hids_keyboard/src/main.c b/samples/bluetooth/peripheral_hids_keyboard/src/main.c
index 6441362e9..46c4af5c7 100644
--- a/samples/bluetooth/peripheral_hids_keyboard/src/main.c
+++ b/samples/bluetooth/peripheral_hids_keyboard/src/main.c
@@ -38,8 +38,6 @@
 
 #define OUTPUT_REPORT_MAX_LEN            1
 #define OUTPUT_REPORT_BIT_MASK_CAPS_LOCK 0x02
-#define INPUT_REP_KEYS_REF_ID            1
-#define OUTPUT_REP_KEYS_REF_ID           1
 #define MODIFIER_KEY_POS                 0
 #define SHIFT_KEY_CODE                   0x02
 #define SCAN_CODE_POS                    2
@@ -437,9 +435,6 @@ static void hid_init(void)
 		0xA1, 0x01,       /* Collection (Application) */
 
 		/* Keys */
-#if INPUT_REP_KEYS_REF_ID
-		0x85, INPUT_REP_KEYS_REF_ID,
-#endif
 		0x05, 0x07,       /* Usage Page (Key Codes) */
 		0x19, 0xe0,       /* Usage Minimum (224) */
 		0x29, 0xe7,       /* Usage Maximum (231) */
@@ -463,9 +458,6 @@ static void hid_init(void)
 		0x81, 0x00,       /* Input (Data, Array) Key array(6 bytes) */
 
 		/* LED */
-#if OUTPUT_REP_KEYS_REF_ID
-		0x85, OUTPUT_REP_KEYS_REF_ID,
-#endif
 		0x95, 0x05,       /* Report Count (5) */
 		0x75, 0x01,       /* Report Size (1) */
 		0x05, 0x08,       /* Usage Page (Page# for LEDs) */
@@ -492,13 +484,13 @@ static void hid_init(void)
 	hids_inp_rep =
 		&hids_init_obj.inp_rep_group_init.reports[INPUT_REP_KEYS_IDX];
 	hids_inp_rep->size = INPUT_REPORT_KEYS_MAX_LEN;
-	hids_inp_rep->id = INPUT_REP_KEYS_REF_ID;
+	hids_inp_rep->id = 0;
 	hids_init_obj.inp_rep_group_init.cnt++;
 
 	hids_outp_rep =
 		&hids_init_obj.outp_rep_group_init.reports[OUTPUT_REP_KEYS_IDX];
 	hids_outp_rep->size = OUTPUT_REPORT_MAX_LEN;
-	hids_outp_rep->id = OUTPUT_REP_KEYS_REF_ID;
+	hids_outp_rep->id = 0;
 	hids_outp_rep->handler = hids_outp_rep_handler;
 	hids_init_obj.outp_rep_group_init.cnt++;
 
